Enhancement #2955

Check dependencies for CentOS 6.6

Added by Giacomo Sanchietti about 5 years ago. Updated almost 5 years ago.

Status:CLOSEDStart date:
Priority:NormalDue date:
Assignee:-% Done:

100%

Category:nethserver-samba
Target version:v6.6-beta1
Resolution: NEEDINFO:

Description

Check dependencies for all nethserver-* packages using new CentOS repositories.
Also check for new rpm available from EPEL.

Associated revisions

Revision 6aa26f5a
Added by Giacomo Sanchietti about 5 years ago

spec: change required samba version. Refs #2955

Revision a1ddbd20
Added by Davide Principi about 5 years ago

Merge branch 'b2955'

Refs #2955

History

#1 Updated by Giacomo Sanchietti about 5 years ago

Change nethserver-samba to require a samba release minor than 4, otherwise samba4 package will be installed.

#2 Updated by Anonymous about 5 years ago

why not plan a migration testing to samba4 ?

#3 Updated by Giacomo Sanchietti about 5 years ago

why not plan a migration testing to samba4 ?

Big architectural changes like this are scheduled for next major release (7).
We aim to update 6.5 to 6.6 with a simple yum update like upstream.

But, this doesn't exclude any side work on Samba4.

#4 Updated by Giacomo Sanchietti about 5 years ago

Following packages will be updated from external sources.

From EPEL:
  • amavisd
  • clamav
  • ejabberd
  • nut
  • openvpn
  • xl2tpd
From DAG:
  • libfixbuf
  • unrar
  • yaf

Packages already available in nethserver-testing for release 6.6.

#5 Updated by Davide Principi about 5 years ago

  • Tracker changed from Task to Enhancement
  • Category set to <multiple packages>
  • Status changed from NEW to TRIAGED
  • % Done changed from 0 to 20

#6 Updated by Giacomo Sanchietti about 5 years ago

Fix for nethserver-samba already released for 6.5 and ported to 6.6 base repo:
  • nethserver-samba-1.4.8-1.ns6.noarch.rpm

See #2951

#7 Updated by Giacomo Sanchietti about 5 years ago

Added:
  • ntopng-1.2.2-8637.x86_64.rpm
  • ntopng-data-1.2.2-8637.noarch.rpm

#8 Updated by Giacomo Sanchietti almost 5 years ago

  • Status changed from TRIAGED to MODIFIED
  • % Done changed from 20 to 60

#9 Updated by Giacomo Sanchietti almost 5 years ago

  • Status changed from MODIFIED to ON_QA
  • % Done changed from 60 to 70
Test case
  • Check the above rpms can be correctly installed

#10 Updated by Davide Principi almost 5 years ago

  • Assignee set to Davide Principi

#11 Updated by Davide Principi almost 5 years ago

  • Status changed from ON_QA to VERIFIED
  • Assignee deleted (Davide Principi)
  • % Done changed from 70 to 90
# repoquery --repoid=nethserver-testing --repoid=nethserver-base amavisd-new clamav ejabberd nut openvpn xl2tpd libfixbuf unrar yaf ntopng ntopng-data nethserver-samba
amavisd-new-0:2.9.1-2.el6.noarch
clamav-0:0.98.4-1.el6.x86_64
ejabberd-0:2.1.13-1.el6.x86_64
libfixbuf-0:1.1.0-1.el6.rf.x86_64
nethserver-samba-0:1.4.8-1.ns6.noarch
ntopng-0:1.2.2-8637.x86_64
ntopng-data-0:1.1.2_7640-7640.x86_64
ntopng-data-0:1.2.2-8637.noarch
nut-0:2.6.5-2.el6.x86_64
openvpn-0:2.3.2-2.el6.x86_64
unrar-0:5.0.3-1.el6.rf.x86_64
xl2tpd-0:1.3.6-1.el6.x86_64
yaf-0:2.1.1-3.el6.rf.x86_64

#12 Updated by Davide Principi almost 5 years ago

  • Category changed from <multiple packages> to nethserver-samba
  • Status changed from VERIFIED to CLOSED
  • % Done changed from 90 to 100

In nethserver-base 6.6
nethserver-samba-1.4.10-1.ns6.noarch.rpm

Also available in: Atom PDF